<nav class="navbar navbar-expand-xl sticky-top justify-content-between">
    <a class="navbar-brand" href="#"><img src="/assets/images/layout/brand-logo.png" alt="brand-logo" class="brand-logo"></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false"
        aria-label="Toggle navigation">
        <span class="navbar-toggler-icon">
            <i class="fas fa-bars hamburger-icon"></i>
        </span>
    </button>
    <div class="collapse navbar-collapse justify-content-center" id="navbarNav">
        <ul class="navbar-nav ul-nav align-items-center">
            {% for navItem in site.data.navigation %}
            {% assign linkLength = navItem.link | size %}
            {% assign currentUrl = page.url | truncate: linkLength, "" %}
            {% assign nextSign = page.url | slice: linkLength %}
            <li class="nav-item">
                <div class="navhover {% if currentUrl == navItem.link and (nextSign == "/" or nextSign == "") %}active{% endif %}">
                    <a class="nav-link" href="{{ navItem.link }}">{{ navItem.name }}</a>
                </div>
            </li>
            {% endfor %}
        </ul>
    </div>
</nav>